/*
Theme Name: Excelsior
Theme URI: https://excelsior.com.br
Template: hello-elementor
Author: Pante
Author URI: https://pante.com.br/?utm_source=excelsior&utm_campaign=author-uri&utm_medium=wp-dash
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 2.0.0
Updated: 2026-07-16 23:53:29
*/

body {
	font-family: "Omnes Regular", Sans-serif;
}

#header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 9999;
	transition: transform .3s ease;
}

#header .menu-item:hover a,
#header .menu-item.current-menu-item a {
	font-weight: 600;
}

#header.header-hidden {
	transform: translateY(-100%);
}

.descricao-categoria {
	text-align: center;
	font-size: 18px;
	max-width: 800px;
	margin: 0 auto;
}

.page-produtos .descricao-categoria {
	text-align: left;
	font-size: 16px;
	max-width: 100%;
	margin: 0;
}

.page-contato #header,
.page-produtos #header,
.page-sobre #header,
.page-blog #header,
.page-inicio #header {
	background: transparent;
}

#header,
#header.header-scrolled {
	background: var(--e-global-color-accent);
}

.page-contato #header.header-scrolled,
.page-blog #header.header-scrolled,
.page-sobre #header.header-scrolled {
	background: var( --e-global-color-ecbed77 );
}

/* carrossel de categorias */
.categorias-swiper {
	padding: 0 40px;
	overflow: visible;
	background: var(--e-global-color-ecbed77);
}

.categorias-swiper .swiper-slide {
	height: auto;
}

.categoria-card {
	display: block;
	position: relative;
	height: 700px;
	overflow: hidden;
}

.categoria-card img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
	transition: transform .6s;
}

.categoria-card .overlay {
	position: absolute;
	background: linear-gradient(135deg, rgba(0,0,0,.6), rgba(8,71,33,.7));
	opacity: .78;
	transition: .45s;
	left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

.categoria-card .content {
	position: absolute;
	inset: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: #fff;
	z-index: 2;
	padding: 30px;
}

.categoria-card .content h3 {
	font-family: "Omnes Bold", Sans-serif;
	font-size: 34px;
	font-weight: 700;
	margin: 0;
	transition: .35s;
}

.categoria-card .btn {
	margin-top: 25px;
	background: #fff;
	color: var(--e-global-color-accent);
	padding: 14px 30px;
	border-radius: 12px;
	font-family: "Omnes Bold", Sans-serif;
	font-size: 18px;
	font-weight: 600;
	transform: translateY(60px);
	opacity: 0;
	transition: .35s;
}

.categoria-card:hover .overlay,
.categoria-card:hover img {
	transform: scale(1.05);
}

.categoria-card:hover .overlay {
	opacity: .18;
}

.categoria-card:hover h3 {
	transform: translateY(-12px);
}

.categoria-card:hover .btn {
	transform: translateY(0);
	opacity: 1;
}

/* categorias pg produtos */
.categoria-home{
	display: grid;
	grid-template-columns: 400px 1fr;
	gap: 60px;
	align-items: center;
	padding: 70px 0 70px 70px;
	border-bottom: 1px solid #d8d8d8;
}

.categoria-home:last-child{
	border: none;
}

.categoria-home h2{
	margin: 0 0 20px;
	font-size: 38px;
	font-weight: 700;
	font-family: "Omnes Bold", sans-serif;
}

.categoria-home p {
	margin:0 0 35px;
	line-height: 1.8;
	color: #444;
}

.categoria-home-link{
	display:inline-flex;
	align-items:center;
	gap:10px;
	font-weight:700;
	color:#e1261c;
	text-decoration:none;
}

.categoria-home-link span{
	font-size:24px;
	line-height:1;
}

.categoria-home-slider{
	min-width:0;
}

/* busca do topo */
#search-overlay{
	position:fixed;
	inset:0;
	background:rgba(0,0,0,.92);
	display:flex;
	align-items:center;
	justify-content:center;
	opacity:0;
	visibility:hidden;
	transition:.35s;
	z-index:99999;
}

#search-overlay.active{
	opacity:1;
	visibility:visible;
}

.search-form{
	display:flex;
	align-items:center;
	gap:20px;
	width:min(900px,90%);
	margin:auto;
}

.search-form input{
	flex:1;
	height:60px;
	padding:0;
	background:none;
	border-radius: 0;
	border:none;
	border-bottom:2px solid rgba(255,255,255,.25);
	color:#fff;
	font-size:32px;
	outline:none;
}

.search-form button{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-shrink: 0;
	border: none;
	border-radius: 14px;
	background: var(--e-global-color-accent);
	font-size: 18px;
	color: #fff;
	cursor:pointer;
	transition:.3s;
}

.search-form button:hover{
	background:#fff;
	color:#C1121F;
}

.close-search{
	position: absolute;
    top: 40px;
    height: 30px;
    width: 30px;
    right: 50px;
    font-size: 22px;
    background: none;
    border: none;
    color: #fff;
    line-height: 1;
    padding: 0;
    cursor: pointer;
}
.close-search:hover,
.close-search:active {
	background: var(--e-global-color-accent);
}

/* linha do tempo */
.timeline-swiper{
	overflow:visible;
	padding-bottom:50px;
}

.timeline-card{
	background:#fff;
	border-radius:20px;
	overflow:hidden;
	height:100%;
	box-shadow:0 15px 40px rgba(0,0,0,.08);
	transition:.35s;
}

.timeline-wrapper{
    position:relative;
    width:100%;
    padding:40px 70px;
}

.timeline-line{
    width:100%;
    height:4px;
    background:#1c6b3d;
    position:relative;
}

.timeline-progress{
    position:absolute;
    left:0;
    top:0;
    height:4px;
    width:0%;
    background:#ff2f2f;
    transition:.4s ease;
}

.timeline-nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    top: 15px;
}

.timeline-nav > *{
    width:44px;
    height:44px;
    background:#ff3b30;
    color:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    border-radius:12px;
    cursor:pointer;
    font-size:22px;
    font-weight:bold;
}

.timeline-nav.prev{
    left:0;
}

.timeline-nav.next{
    right:0;
}

.timeline-card:hover{
	transform:translateY(-8px);
}

.timeline-image img{
	width:100%;
	height: 220px !important;
	object-fit:cover;
	display:block;
}

.timeline-content{
	padding:30px;
}

.timeline-content h3{
	font-family: 'Omnes Bold', sans-serif;
	font-size:28px;
	font-weight: 900;
	margin:0 0 15px;
	color: var(--e-global-color-accent);
}

.timeline-content p{
	margin:0;
	line-height:1.8;
	color:#666;
}

.timeline-swiper .swiper-pagination{
	position: relative;
	height: 6px;
	background: rgba(255,255,255,.25);
	border-radius: 999px;
}

.timeline-nav .swiper-button-prev,
.timeline-nav .swiper-button-next{
	position:static;
	margin:0;
	width:52px;
	height:52px;
	color: white;
	transition:.3s;
}

.timeline-nav .swiper-button-prev::after,
.timeline-nav .swiper-button-next::after{
	font-size:18px;
	font-weight:700;
}

.timeline-nav .swiper-button-prev:hover,
.timeline-nav .swiper-button-next:hover{
	background:#C62828;
	color:#fff;
	transform:translateY(-3px);
}

.timeline-controls{
	margin-top:40px;
	display:flex;
	align-items:center;
	gap:30px;
}

.timeline-controls .swiper-pagination{
	position:relative;
	height:5px;
	background:rgba(255,255,255,.25);
	border-radius:99px;
}

.timeline-controls .swiper-pagination-progressbar-fill{
	background:#fff;
	border-radius:99px;
}

.timeline-swiper .swiper-pagination-progressbar-fill{
	background:#fff;
	border-radius:999px;
}

.timeline-swiper .swiper-pagination-progressbar {
	margin: 0 auto 35px;
	width: 85% !important;
}

.timeline-swiper .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
	background: var(--e-global-color-accent);
}

.timeline-nav{
	display:flex;
	gap:12px;
}

.timeline-titulos-swiper .swiper-slide{
	width:auto;
	cursor:pointer;
	font-size:14px;
	font-weight:700;
	text-align: center;
	color:#777;
	transition:.3s;
}

.timeline-titulos-swiper .swiper-slide-thumb-active{
	color: white;
}

/* produtos */

/* visao grid */
.produtos-grid {
	display: grid;
	grid-template-columns: repeat(3,1fr);
	gap: 40px;
}

.produtos-grid.items-1 {
	grid-template-columns: 270px;
	justify-content: center;
}

/* visao carrossel */
.produtos-swiper .swiper-slide {
    height: auto;
}

.produtos-swiper .produto-card {
    display: block;
    height: 100%;
}

.produtos-swiper .swiper-button-prev,
.produtos-swiper .swiper-button-next {
    width: 46px;
    height: 46px;
    border-radius: 12px;
    background: var(--e-global-color-accent);
    color: white;
}

.produtos-swiper .swiper-button-prev::after,
.produtos-swiper .swiper-button-next::after {
    font-size: 18px;
}

.produto-card {
	display: block;
	background: #fff;
	border: 2px solid var(--e-global-color-accent);
	border-radius: 22px;
	text-decoration: none;
	overflow: hidden;
	transition: .3s;
}

.produto-card:hover {
	transform:translateY(-6px);
	box-shadow:0 12px 30px rgba(0,0,0,.15);
}

.produtos-swiper .produto-card:hover {
	transform:translateY(0);
}

.produto-imagem {
	padding: 35px;
	text-align: center;
	height: 200px;
}

.produto-imagem img {
	max-height: 200px;
    width: auto;
}

.produto-titulo {
	background: var(--e-global-color-accent);
	color: #fff;
	font-weight: 700;
	font-size: 20px;
	line-height: 24px;
	padding: 18px;
	text-align: center;
	min-height: 90px;
	display: flex;
    align-items: center;
    justify-content: center;
}

.produto-card.inverse {
	border-color: var( --e-global-color-primary );
}

.produto-card.inverse .produto-titulo {
	background: var( --e-global-color-primary );
}

/* modal da tabela nutricional */
#produto-modal{
	position:fixed;
	inset:0;
	background:rgba(0,0,0,.65);
	display:flex;
	align-items:center;
	justify-content:center;
	opacity:0;
	visibility:hidden;
	transition:.3s;
	z-index:99999;
}

#produto-modal.active{
	opacity:1;
	visibility:visible;
}

.modal-box{
	width:min(600px,90%);
	background:#fff;
	border-radius:24px;
	padding:35px;
	position:relative;
}

.modal-close{
	position:absolute;
	right:20px;
	top:15px;
	border:none;
	background:none;
	font-size:30px;
	line-height: 0;
	cursor:pointer;
	padding: 10px 10px 20px;
}

.modal-close:hover {
	background: var(--e-global-color-accent);
}

.modal-header{
	display:flex;
	align-items:center;
	gap:25px;
	margin-bottom:30px;
}

#modal-produto-img{
	width:90px;
	border:2px solid #0b8f43;
	border-radius:15px;
}

#modal-categoria{
	display:inline-block;
	background:#ffe9e9;
	color:#e3231d;
	padding:6px 12px;
	border-radius:8px;
	font-size:13px;
	font-weight:700;
	text-transform:uppercase;
	margin-bottom:10px;
}

#modal-titulo{
	color:#0b8f43;
	margin:0;
	font-size:34px;
	font-family: "Omnes Bold", sans-serif;
	font-weight: 700;
}

#modal-tabela {
	width: 100%;
	max-width: 450px;
	margin: 10px auto;
	display: block;
}

/* carrossel de categorias (topo produtos) */
.categorias-menu-swiper{
	position:relative;
	padding:0 60px;
}

.categorias-menu-swiper .swiper-wrapper{
	align-items:center;
}

.categorias-menu-swiper .swiper-slide{
	width:150px;
}

.categoria-menu{
	display:flex;
	flex-direction:column;
	align-items:center;
	justify-content:center;
	padding:15px 10px;
	background:#f7f7f7;
	border:1px solid #d9d9d9;
	border-radius:8px;
	text-decoration:none;
	color:#444;
	transition:.3s;
}

.categoria-menu span{
	font-size:13px;
	font-weight:600;
	line-height:1.3;
	text-align:center;
}

.categoria-menu:hover{
	background:#fff;
	border-color:#e52320;
	box-shadow:0 8px 20px rgba(0,0,0,.08);
}

.categoria-menu.active{
	background:#fff;
	border-color:#e52320;
	color:#111;
}

.categoria-icon{
	transition:.3s;
}

.categorias-menu-swiper .swiper-button-prev,
.categorias-menu-swiper .swiper-button-next{
	width:38px;
	height:38px;
	border-radius:8px;
	background:#e52320;
	color:#fff;
	margin-top:-19px;
	transition:.3s;
}

.categorias-menu-swiper .swiper-slide{
	width:150px;
}

.categorias-menu-swiper .swiper-button-prev:hover,
.categorias-menu-swiper .swiper-button-next:hover{
	background:#c91a17;
}

.categorias-menu-swiper .swiper-button-prev::after,
.categorias-menu-swiper .swiper-button-next::after{
	font-size:14px;
	font-weight:700;
}

.categorias-menu-swiper .swiper-button-prev{
	left:10px;
}

.categorias-menu-swiper .swiper-button-next{
	right:10px;
}

/* carrossel de produtos por categoria */
.produtos-swiper {
	position: relative;
	padding: 0 50px;
}

.produtos-swiper .produto-inner-card {
	display: block;
	text-decoration: none;
	color: inherit;
	background: #fff;
	border: 2px solid var(--e-global-color-accent);
	border-radius: 22px;
	text-decoration: none;
	overflow: hidden;
	transition: .3s;
}

.produtos-swiper .produto-imagem {
	padding: 20px;
	aspect-ratio: 1/1;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	width: 80%;
	margin: 0 auto;
}

.produtos-swiper .produto-imagem img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	transition: .3s;
}

.produtos-swiper .produto-inner-card:hover img {
	transform: scale(1.05);
}

.produtos-swiper .produtos-carousel {
	position: relative;
}

.produtos-swiper .produtos-swiper {
	overflow: visible;
	padding-right: 120px;
}

.produtos-swiper .swiper-wrapper {
	align-items: stretch;
}

.produtos-swiper .produto-inner-card h3 {
	margin: 15px 0 0;
	padding: 10px;
	font-size: 18px;
	line-height: 24px;
	font-weight: 700;
	font-family: "Omnes Bold", Sans-serif;
	text-align: center;
	color: #fff;
	background: var(--e-global-color-accent);
}

.produtos-swiper .produto-inner-card.inverse {
	border-color: var( --e-global-color-primary );
}

.produtos-swiper .produto-inner-card.inverse h3 {
	background: var( --e-global-color-primary );
}

.produtos-carousel .swiper-button-prev {
	position:absolute;
	left:-70px;
	top:50%;
	transform:translateY(-50%);
	width:54px;
	height:54px;
}

.produtos-carousel .swiper-button-prev::after {
	content: url(/wp-content/uploads/2026/07/prev.png);
}

/* blog */
.blog-filtro {
	display:flex;
	align-items:center;
	gap:35px;
	margin-bottom:40px;
	padding-bottom:15px;
	border-bottom:1px solid #d9d9d9;
	white-space:nowrap;
}

.blog-filtro a {
	position:relative;
	text-decoration:none;
	color:#666;
	font-size:15px;
	font-weight:500;
	transition:.3s;
}

.blog-filtro a:hover,
.blog-filtro a.active {
	color:#d82027;
}

.blog-filtro a.active::after {
	content:'';
	position:absolute;
	left:0;
	bottom:-16px;
	width:100%;
	height:2px;
	background:#d82027;
}

.blog-grid {
	display:grid;
	grid-template-columns:repeat(3,1fr);
	gap:45px 30px;
}

.blog-card {
	display:flex;
	flex-direction:column;
}

.blog-card > a {
	text-decoration:none;
	color:inherit;
}

.blog-card .img {
	border-radius: 16px;
	width: 100%;
	height: 220px;
    overflow: hidden;
	position: relative;
}

.blog-card .img .com-video {
	position: absolute;
	right: 5px;
	bottom: 5px;
	z-index: 1;
}

.blog-card img {
	height: 100% !important;
	object-fit: cover;
	display: block;
	transition: .35s;
}

.blog-card:hover img {
	transform: scale(1.03);
}

.blog-meta {
	display:flex;
	align-items:center;
	flex-wrap:wrap;
	gap:8px;
	margin:14px 0 10px;
}

.blog-meta span {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 6px;
	padding: 5px 10px;
	border-radius: 30px;
	font-size: 12px;
	font-weight: 600;
	line-height: 1;
}

.blog-meta .categoria {
	background:#0b5f3c;
	color:#fff;
}

.blog-meta .tempo {
	background:#dff6e6;
	color:#0b5f3c;
}

.blog-meta .pessoas {
	background:#fde4e4;
	color:#d82027;
}

.blog-card h3 {
	margin:0 0 12px;
	font-size:28px;
	font-family: "Omnes Bold", Sans-serif;
	line-height:1.2;
	color:#2b2b2b;
	transition:.3s;
}

.blog-card:hover h3 {
	color:#d82027;
}

.blog-card p {
	margin:0;
	font-size:15px;
	line-height:1.7;
	color:#666;
}

.blog-card .mais {
	display:inline-flex;
	align-items:center;
	gap:8px;
	margin-top:18px;
	font-size:17px;
	font-weight:700;
	color:#d82027;
	transition:.3s;
}

.blog-card:hover .mais {
	transform: scale(1.02);
}

.blog-pagination {
	display:flex;
	justify-content:center;
	margin-top:60px;
	gap:8px;
}

.blog-pagination .page-numbers {
	width:42px;
	height:42px;
	display:flex;
	align-items:center;
	justify-content:center;
	border-radius:50%;
	border:1px solid #ddd;
	text-decoration:none;
	font-weight:600;
	color:#555;
	transition:.3s;
}

.blog-pagination .page-numbers:hover,
.blog-pagination .page-numbers.current {
	background:#d82027;
	border-color:#d82027;
	color:#fff;
}

/* filiais */
.filiais-swiper {
    overflow:visible;
}

.filial-card {
    background:#fff;
    border-radius:24px;
    overflow:hidden;
    height:100%;
    display:flex;
    flex-direction:column;
}

.filial-imagem img {
    width:100%;
    aspect-ratio:16/10;
    object-fit:cover;
    display:block;
}

.filial-content {
    padding:28px;
    display:flex;
    flex-direction:column;
    flex:1;
}

.filial-content h3 {
    margin:0 0 22px;
	font-family: "Omnes Bold", Sans-serif;
    font-size:20px;
    font-weight:700;
    color:#2c2c2c;
}

.filial-endereco {
    display:flex;
    gap:15px;
    color:#555;
    line-height:1.7;
    margin-bottom:30px;
}

.filial-btn {
    margin-top:auto;
    align-self:flex-start;
    display:inline-flex;
    align-items:center;
    gap:10px;
    padding: 8px 22px;
    border: 2px solid #ef2a23;
    border-radius:14px;
    color:#ef2a23;
    font-weight:700;
    text-decoration:none;
    transition:.3s;
}

.filial-btn:hover {
    background:#ef2a23;
    color:#fff;
}

.filial-btn:hover svg {
    color:#fff;
	fill:#fff;
}

.filiais-swiper .swiper-button-prev,
.filiais-swiper .swiper-button-next {
    width:52px;
    height:52px;
    border-radius:8px;
    background: var(--e-global-color-accent);
    box-shadow:0 8px 25px rgba(0,0,0,.12);
}

.filiais-swiper .swiper-button-prev::after,
.filiais-swiper .swiper-button-next::after{
    font-size:18px;
    color:white;
}

/* lista de detalhes (produto) */
.prod-list li {
	background: #5C0F0A;
	border-radius: 12px;
	gap: 8px;
}
.prod-list li .elementor-icon-list-icon {
	background: var(--e-global-color-accent);
	border-radius: 12px 0 0 12px;
	padding: 6px;
}
.prod-list li .elementor-icon-list-text {
	padding: 6px 20px;
}
.prod-list.inverse li {
	background: #084721;
}
.prod-list.inverse li .elementor-icon-list-icon {
	background: #00953B;
}

/* categorias rodapé */
.footer-categorias {
	list-style: none;
}
.footer-categorias li {
	font-family: "Work Sans", Sans-serif;
    font-size: 14px;
    font-weight: 400;
	padding-block-end: calc(10px / 2);
}
.footer-categorias li a {
	color: var(--e-global-color-b1aa155);
    transition: color 0.3s;
}

/* responsivo */
@media (max-width:1024px) {
	.blog-grid {
		grid-template-columns: repeat(2,1fr);
		gap: 35px 25px;
	}
	.blog-card h3 {
		font-size: 28px;
	}
	.produtos-grid {
		grid-template-columns: repeat(2,1fr);
	}
	.categorias-menu-swiper{
		padding:0 45px;
	}
	.categorias-menu-swiper .swiper-slide{
		width:130px;
	}
	.categoria-menu{
		height:80px;
	}
	.categoria-menu span{
		font-size:12px;
	}
}
@media (max-width:768px) {
	.prod-list ul {
		gap: 10px;
	}
	.produtos-swiper {
		padding:0;
	}
	.produtos-swiper .swiper-button-prev {
		display:none;
	}
	.produto-imagem {
		height: auto;
	}
	.categorias-menu-swiper {
		padding:0 40px;
	}
	.categorias-menu-swiper .swiper-slide {
		width:110px;
	}
	.categoria-menu {
		height:75px;
		padding:12px 8px;
	}
	.categoria-menu span {
		font-size:11px;
	}
	.categoria-card {
		height: 400px;
	}
	.content h3 {
		font-size: 26px;
	}
	.filial-content {
        padding: 20px;
    }
    .filial-content h3 {
        font-size: 24px;
    }
	.blog-filtro{
		gap: 20px;
		padding-bottom: 12px;
		overflow-x: auto;
	}
	.blog-grid {
		grid-template-columns: 1fr;
		gap: 35px;
	}
	.blog-card h3 {
		font-size: 24px;
	}
	.blog-card p {
		font-size: 14px;
	}
	.blog-pagination {
		flex-wrap: wrap;
	}
	#header.header-scrolled:not(.header-hidden) img {
		position: absolute;
    	top: 8px;
    	left: 5%;
	}
	#header.header-scrolled:not(.header-hidden) #logo::before {
		content: '';
        background: white;
        width: 90%;
        height: 20px;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 auto;
	}
	.timeline-controls{
		flex-direction:column;
		align-items:stretch;
	}
	.produtos-grid {
		grid-template-columns: 1fr;
	}
	.categoria-home{
		grid-template-columns: 1fr;
		gap: 35px;
		padding: 20px;
	}
}

@media (min-width:768px) {
	#header #logo {
		margin-bottom: -15px;
	}
}